Subject: bug#22589: 25.0.90; First match found by isearch-forward-symbol is not necessarily a symbol.

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Feb 2017 02:11:20 +0200

>> In bug#25562 we found no more ideas how to improve the support for
>> the process of entering incomplete words, so in addition to the patch
>> in bug#25562 that adds indication, also I'm going to install this patch
>> that will optimize the incomplete search by removing conditional
>> matching at the beginning:
>
> I think I prefer the original behavior (but actually, I use a private
> version of `word-search-regexp' that behaves entirely differently, so my
> opinion doesn't matter).  But apart from that, the patch doesn't work as
> expected (even with the other patch that adds indication also
> installed):
>
> - in emacs -Q, hit C-h i to go to the info top dir
>
> - I want to word search for "directory".  point is at point-min.
>
> - I hit d.  Isearch jumps to the "d" in "Type "d" in Info to..."
>
> - I type the remaining letters: "irectory".  The isearch prompt says
>   "Failed" apparently because I'm now past all matches and isearch
>   didn't reconsider the text before the first match "d".

Hmm, this is strange.  Unlike the more radical patch in
https://debbugs.gnu.org/25562#22, the latest patch here in
https://debbugs.gnu.org/22589#31 is more moderate - it just restricts
matches to word beginnings, so your recipe didn't fail when I tried.